local t = Def.ActorFrame {};

t[#t+1] = LoadActor( THEME:GetPathG("_bg","transition")) .. {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center;);
			OnCommand=cmd(diffusealpha,0;sleep,1;decelerate,0.6;diffusealpha,00.5;);
		};
		
t[#t+1] = Def.ActorFrame {
    InitCommand=cmd(y,SCREEN_CENTER_Y);
    -- Bottom Door
    LoadActor("_bottom") .. {
        InitCommand=cmd(horizalign,center;vertalign,bottom;y,SCREEN_HEIGHT;x,SCREEN_CENTER_X);
        OnCommand=cmd(sleep,1;decelerate,0.6;y,SCREEN_CENTER_Y;);
    };
  -- Top Door
    LoadActor("_top") .. {
        InitCommand=cmd(horizalign,center;vertalign,bottom;y,0-SCREEN_HEIGHT/2-32;x,SCREEN_CENTER_X);
        OnCommand=cmd(sleep,1;decelerate,0.6;y,32;);
    };
};

	
t[#t+1] = LoadActor("_failed") .. {
        InitCommand=cmd(horizalign,center;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;);
		OnCommand=cmd(zoom,1.1;diffusealpha,0;decelerate,1.3;zoom,0.8;diffusealpha,1);
    };
	
t[#t+1] = LoadActor( THEME:GetPathS("_failed","stage")) .. {
        OnCommand=cmd(queuecommand,("Play"));
		PlayCommand=cmd(play;sleep,1);	
		};	

t[#t+1] = LoadActor( THEME:GetPathG("_bg","transition")) .. {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center;diffuse,color("#000000"););
			OnCommand=cmd(diffusealpha,0;sleep,3;smooth,1.3;diffusealpha,1;sleep,2);
		};		
		
return t